  div.discounts-filters {
	padding-bottom: 25px;
}
	div.discounts-filters select {
		display: block;
		width: 100%;
	}

div.discount-business {
	border-bottom: 1px solid #ddd;
	clear: both;
	padding: 10px;
}

img.discount-business-logo {
	display: block;
	float: left;
	width: 30%;
}

div.discount-business-content {
	float: right;
	width: 66%;
}

div.discount-business-content h3 {
	font-size: 1.2em;
	padding-bottom: 10px;
	font-family: Helvetica, serif;
}

div.discount-business-content p {
	font-size: 90%;
	margin-bottom: 10px;
}

.clearboth {
	clear: both;
	height: 0;
	overflow: hidden;
}

div#become-vendor{
	clear: both;
}

.visually-hidden { /* https://snook.ca/archives/html_and_css/hiding-content-for-accessibility */
	position: absolute !important;
	height: 1px; width: 1px; 
	overflow: hidden;
	clip: rect(1px 1px 1px 1px); /* IE6, IE7 */
	clip: rect(1px, 1px, 1px, 1px);
}

@media screen and (min-width: 768px) {
	div.discount-business {
		border: 0;
		clear: none;
		float: left;
		height: 265px;
		overflow: auto;
		padding: 0 15px 0 0;
		position: relative;
		width: 50%;
	}
}